From BGardner@Wabtec.com Wed Jul 27 10:47:28 2005
From: bgardner@wabtec.com
To: Jean Delvare <khali@linux-fr.org>
Subject: I2C: add kobj_to_i2c_client
Date: Wed, 27 Jul 2005 12:43:03 -0500
Message-Id: <200507271243.04206.bgardner@wabtec.com>


Move the inline function kobj_to_i2c_client() from max6875.c to i2c.h.

Signed-off-by: Ben Gardner <bgardner@wabtec.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/i2c/chips/max6875.c |    5 -----
 include/linux/i2c.h         |    5 +++++
 2 files changed, 5 insertions(+), 5 deletions(-)

--- gregkh-2.6.orig/drivers/i2c/chips/max6875.c	2005-07-27 23:17:16.000000000 -0700
+++ gregkh-2.6/drivers/i2c/chips/max6875.c	2005-07-27 23:17:28.000000000 -0700
@@ -131,11 +131,6 @@
 	up(&data->update_lock);
 }
 
-static inline struct i2c_client *kobj_to_i2c_client(struct kobject *kobj)
-{
-	return to_i2c_client(container_of(kobj, struct device, kobj));
-}
-
 static ssize_t max6875_read(struct kobject *kobj, char *buf, loff_t off,
 			    size_t count)
 {
--- gregkh-2.6.orig/include/linux/i2c.h	2005-07-27 23:16:52.000000000 -0700
+++ gregkh-2.6/include/linux/i2c.h	2005-07-27 23:17:28.000000000 -0700
@@ -160,6 +160,11 @@
 };
 #define to_i2c_client(d) container_of(d, struct i2c_client, dev)
 
+static inline struct i2c_client *kobj_to_i2c_client(struct kobject *kobj)
+{
+	return to_i2c_client(container_of(kobj, struct device, kobj));
+}
+
 static inline void *i2c_get_clientdata (struct i2c_client *dev)
 {
 	return dev_get_drvdata (&dev->dev);
